PostgreSQL e Plone

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

PostgreSQL e Plone

lucagent
Salve ragazzi,
vado un po' fuori dal seminato (nel senso che la domanda è marginalmente legata a Plone).

Sto lavorando su un progetto preesistente in cui ho oltre a Plone 4.1.6 una istanza PostgreSQL 9.0

Trattandosi di un sistema già realizzato ho "ereditato" tra le altre cose anche gli script di buildout di Postgres. Tuttavia non erano pinnate le versioni delle eggs richieste e mi veniva dato l'errore su zc.buildout 2.3.1

Poiché in produzione (nelle eggs) ho la 1.5.2 ho pinnato la versione del zc.buildout (e delle altre eggs) coerentemente con le versioni presenti in produzione. Tutta via in ogni caso la prima cosa che fa è l'upgrade alla 2.3.1 e poi mi da questo errore:

$ bin/buildout
Upgraded:
  zc.buildout version 1.5.2;
restarting.
Generated script '/home/zope/postgresql/bin/buildout'.
Upgraded:
  zc.buildout version 2.3.1,
  distribute version 0.7.3;
restarting.
Generated script '/home/zope/postgresql/bin/buildout'.
'import site' failed; use -v for traceback
Traceback (most recent call last):
  File "./bin/buildout", line 15, in <module>
    import site # imports custom buildout-generated site.py
  File "/home/zope/postgresql/parts/buildout/site.py", line 558, in <module>
    main()
  File "/home/zope/postgresql/parts/buildout/site.py", line 541, in main
    known_paths = addsitepackages(known_paths)
  File "/home/zope/postgresql/parts/buildout/site.py", line 262, in addsitepackages
    import pkg_resources
ImportError: No module named pkg_resources

Qualcuno si è già imbattuto in questa problematica?
PS sto lavorando su un ambiente CentOS 6.6

--
Luca Gentili
about.me

Pensa all'ambiente prima di stampare. | Consider the environment before printing. | Avant d'imprimer, pensez à l'environnement. | Considere el medio ambiente antes de imprimir.  
 

_______________________________________________
Plone-IT mailing list
[hidden email]
https://lists.plone.org/mailman/listinfo/plone-plone-it
http://plone-regional-forums.221720.n2.nabble.com/Plone-Italy-f221721.html
Reply | Threaded
Open this post in threaded view
|

Re: PostgreSQL e Plone

Vito
A me puzza di setuptools,
forse necessiti di aggiornare le setup tools.
Se hai pip a bordo:
pip install setuptools --upgrade

Vito

2015-06-15 11:29 GMT+02:00 Luca Gentili <[hidden email]>:
Salve ragazzi,
vado un po' fuori dal seminato (nel senso che la domanda è marginalmente legata a Plone).

Sto lavorando su un progetto preesistente in cui ho oltre a Plone 4.1.6 una istanza PostgreSQL 9.0

Trattandosi di un sistema già realizzato ho "ereditato" tra le altre cose anche gli script di buildout di Postgres. Tuttavia non erano pinnate le versioni delle eggs richieste e mi veniva dato l'errore su zc.buildout 2.3.1

Poiché in produzione (nelle eggs) ho la 1.5.2 ho pinnato la versione del zc.buildout (e delle altre eggs) coerentemente con le versioni presenti in produzione. Tutta via in ogni caso la prima cosa che fa è l'upgrade alla 2.3.1 e poi mi da questo errore:

$ bin/buildout
Upgraded:
  zc.buildout version 1.5.2;
restarting.
Generated script '/home/zope/postgresql/bin/buildout'.
Upgraded:
  zc.buildout version 2.3.1,
  distribute version 0.7.3;
restarting.
Generated script '/home/zope/postgresql/bin/buildout'.
'import site' failed; use -v for traceback
Traceback (most recent call last):
  File "./bin/buildout", line 15, in <module>
    import site # imports custom buildout-generated site.py
  File "/home/zope/postgresql/parts/buildout/site.py", line 558, in <module>
    main()
  File "/home/zope/postgresql/parts/buildout/site.py", line 541, in main
    known_paths = addsitepackages(known_paths)
  File "/home/zope/postgresql/parts/buildout/site.py", line 262, in addsitepackages
    import pkg_resources
ImportError: No module named pkg_resources

Qualcuno si è già imbattuto in questa problematica?
PS sto lavorando su un ambiente CentOS 6.6

--
Luca Gentili
about.me

Pensa all'ambiente prima di stampare. | Consider the environment before printing. | Avant d'imprimer, pensez à l'environnement. | Considere el medio ambiente antes de imprimir.  
 

_______________________________________________
Plone-IT mailing list
[hidden email]
https://lists.plone.org/mailman/listinfo/plone-plone-it
http://plone-regional-forums.221720.n2.nabble.com/Plone-Italy-f221721.html



--
Vito Falco
Designer & Front-end developer | Plone consultant | Freelance
Bari, IT
tel +39 3346330137 | skype vito80ba | twitter vito80ba

_______________________________________________
Plone-IT mailing list
[hidden email]
https://lists.plone.org/mailman/listinfo/plone-plone-it
http://plone-regional-forums.221720.n2.nabble.com/Plone-Italy-f221721.html
Reply | Threaded
Open this post in threaded view
|

Re: PostgreSQL e Plone

lucagent
Grazie del suggerimento Vito,

tuttavia i setuptools erano aggiornati e infatti l'errore persiste ...


Altre idee??!

Il giorno 15 giugno 2015 11:31, Vito Falco <[hidden email]> ha scritto:
A me puzza di setuptools,
forse necessiti di aggiornare le setup tools.
Se hai pip a bordo:
pip install setuptools --upgrade

Vito

2015-06-15 11:29 GMT+02:00 Luca Gentili <[hidden email]>:
Salve ragazzi,
vado un po' fuori dal seminato (nel senso che la domanda è marginalmente legata a Plone).

Sto lavorando su un progetto preesistente in cui ho oltre a Plone 4.1.6 una istanza PostgreSQL 9.0

Trattandosi di un sistema già realizzato ho "ereditato" tra le altre cose anche gli script di buildout di Postgres. Tuttavia non erano pinnate le versioni delle eggs richieste e mi veniva dato l'errore su zc.buildout 2.3.1

Poiché in produzione (nelle eggs) ho la 1.5.2 ho pinnato la versione del zc.buildout (e delle altre eggs) coerentemente con le versioni presenti in produzione. Tutta via in ogni caso la prima cosa che fa è l'upgrade alla 2.3.1 e poi mi da questo errore:

$ bin/buildout
Upgraded:
  zc.buildout version 1.5.2;
restarting.
Generated script '/home/zope/postgresql/bin/buildout'.
Upgraded:
  zc.buildout version 2.3.1,
  distribute version 0.7.3;
restarting.
Generated script '/home/zope/postgresql/bin/buildout'.
'import site' failed; use -v for traceback
Traceback (most recent call last):
  File "./bin/buildout", line 15, in <module>
    import site # imports custom buildout-generated site.py
  File "/home/zope/postgresql/parts/buildout/site.py", line 558, in <module>
    main()
  File "/home/zope/postgresql/parts/buildout/site.py", line 541, in main
    known_paths = addsitepackages(known_paths)
  File "/home/zope/postgresql/parts/buildout/site.py", line 262, in addsitepackages
    import pkg_resources
ImportError: No module named pkg_resources

Qualcuno si è già imbattuto in questa problematica?
PS sto lavorando su un ambiente CentOS 6.6

--
Luca Gentili
about.me

Pensa all'ambiente prima di stampare. | Consider the environment before printing. | Avant d'imprimer, pensez à l'environnement. | Considere el medio ambiente antes de imprimir.  
 

_______________________________________________
Plone-IT mailing list
[hidden email]
https://lists.plone.org/mailman/listinfo/plone-plone-it
http://plone-regional-forums.221720.n2.nabble.com/Plone-Italy-f221721.html



--
Vito Falco
Designer & Front-end developer | Plone consultant | Freelance
Bari, IT
tel <a href="tel:%2B39%203346330137" value="+393346330137" target="_blank">+39 3346330137 | skype vito80ba | twitter vito80ba

_______________________________________________
Plone-IT mailing list
[hidden email]
https://lists.plone.org/mailman/listinfo/plone-plone-it
http://plone-regional-forums.221720.n2.nabble.com/Plone-Italy-f221721.html



--
Luca Gentili
about.me

Pensa all'ambiente prima di stampare. | Consider the environment before printing. | Avant d'imprimer, pensez à l'environnement. | Considere el medio ambiente antes de imprimir.  
 

_______________________________________________
Plone-IT mailing list
[hidden email]
https://lists.plone.org/mailman/listinfo/plone-plone-it
http://plone-regional-forums.221720.n2.nabble.com/Plone-Italy-f221721.html